#!/usr/bin/python
# coding: UTF-8
# Rec10 TS Recording Tools
# Copyright (C) 2009 Yukikaze
import os
import re
path=os.path.dirname(os.path.abspath(__file__))+"/"

def getEncoding():
    f = open(path+'status')
    lines = f.readlines() # 1行毎にファイル終端まで全て読む(改行文字も含まれる)
    f.close()
    ts2avi=0
    # lines2: リスト。要素は1行の文字列データ
    for line in lines:
        if re.search('ts2avi=',line):
            line=line.replace("ts2avi=","")
            line=line.replace(" ","")
            ts2avi=int(line)
            break
    return ts2avi
def setEncoding(tasknum):
    if tasknum<0:
        tasknum=0
    s = "ts2avi="+str(tasknum)
    f = open('status', 'w') # 書き込みモードで開く
    f.write(s) # 引数の文字列をファイルに書き込む
    f.close() # ファイルを閉じる
